﻿// cc-by 3.0 Austria, (c) 2011 Markus Loeberbauer
// http://ssw.jku.at/Teaching/Lectures/SpezialLVA/JavaFX/

import java.io.File;
import java.net.MalformedURLException;
import java.util.logging.Level;
import java.util.logging.Logger;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.SceneBuilder;
import javafx.scene.control.ButtonBuilder;
import javafx.scene.layout.VBoxBuilder;
import javafx.scene.media.AudioClip;
import javafx.stage.Stage;

public class PlayShortSound extends Application {
	public static void main(final String[] args) {
		Application.launch(args);
	}

	private final EventHandler<ActionEvent> playMusicHandler = new EventHandler<ActionEvent>() {
		@Override
		public void handle(final ActionEvent event) {
			if (soundClip != null) {
				soundClip.play();
			}
		}
	};
	private AudioClip soundClip;

	public PlayShortSound() {
		final String currentDir = System.getProperty("user.dir");
		final File soundFile = new File(currentDir, "3060__SpeedY__UFOblip.mp3");
		try {
			soundClip = new AudioClip(soundFile.toURI().toURL().toString());
		} catch (final MalformedURLException e) {
			Logger.getLogger(PlayShortSound.class.getName()).log(Level.SEVERE,
					"Error loading sound file.", e);
		}
	}

	@Override
	public void start(final Stage primaryStage) throws Exception {
		primaryStage.setTitle("Play Sound");

		final Scene scene = SceneBuilder
				.create()
				.width(200)
				.height(200)
				.root(VBoxBuilder.create()
					.alignment(Pos.CENTER)
					.children(
						ButtonBuilder.create()
						.text("Play")
						.onAction(playMusicHandler).build()
					)
					.build()
				)
				.build();

		primaryStage.setScene(scene);
		primaryStage.show();
	}

}
